package sun.security.x509;

import sun.security.util.ObjectIdentifier;

public class PKIXExtensions
{
    private static final int[] AuthorityKey_data;
    private static final int[] SubjectKey_data;
    private static final int[] KeyUsage_data;
    private static final int[] PrivateKeyUsage_data;
    private static final int[] CertificatePolicies_data;
    private static final int[] PolicyMappings_data;
    private static final int[] SubjectAlternativeName_data;
    private static final int[] IssuerAlternativeName_data;
    private static final int[] SubjectDirectoryAttributes_data;
    private static final int[] BasicConstraints_data;
    private static final int[] NameConstraints_data;
    private static final int[] PolicyConstraints_data;
    private static final int[] CRLDistributionPoints_data;
    private static final int[] CRLNumber_data;
    private static final int[] IssuingDistributionPoint_data;
    private static final int[] DeltaCRLIndicator_data;
    private static final int[] ReasonCode_data;
    private static final int[] HoldInstructionCode_data;
    private static final int[] InvalidityDate_data;
    private static final int[] ExtendedKeyUsage_data;
    private static final int[] InhibitAnyPolicy_data;
    private static final int[] CertificateIssuer_data;
    private static final int[] AuthInfoAccess_data;
    private static final int[] SubjectInfoAccess_data;
    private static final int[] FreshestCRL_data;
    private static final int[] OCSPNoCheck_data;
    private static final int[] OCSPNonce_data;
    public static final ObjectIdentifier AuthorityKey_Id;
    public static final ObjectIdentifier SubjectKey_Id;
    public static final ObjectIdentifier KeyUsage_Id;
    public static final ObjectIdentifier PrivateKeyUsage_Id;
    public static final ObjectIdentifier CertificatePolicies_Id;
    public static final ObjectIdentifier PolicyMappings_Id;
    public static final ObjectIdentifier SubjectAlternativeName_Id;
    public static final ObjectIdentifier IssuerAlternativeName_Id;
    public static final ObjectIdentifier SubjectDirectoryAttributes_Id;
    public static final ObjectIdentifier BasicConstraints_Id;
    public static final ObjectIdentifier NameConstraints_Id;
    public static final ObjectIdentifier PolicyConstraints_Id;
    public static final ObjectIdentifier CRLDistributionPoints_Id;
    public static final ObjectIdentifier CRLNumber_Id;
    public static final ObjectIdentifier IssuingDistributionPoint_Id;
    public static final ObjectIdentifier DeltaCRLIndicator_Id;
    public static final ObjectIdentifier ReasonCode_Id;
    public static final ObjectIdentifier HoldInstructionCode_Id;
    public static final ObjectIdentifier InvalidityDate_Id;
    public static final ObjectIdentifier ExtendedKeyUsage_Id;
    public static final ObjectIdentifier InhibitAnyPolicy_Id;
    public static final ObjectIdentifier CertificateIssuer_Id;
    public static final ObjectIdentifier AuthInfoAccess_Id;
    public static final ObjectIdentifier SubjectInfoAccess_Id;
    public static final ObjectIdentifier FreshestCRL_Id;
    public static final ObjectIdentifier OCSPNoCheck_Id;
    public static final ObjectIdentifier OCSPNonce_Id;
    
    public PKIXExtensions() {
    }
    
    static {
        AuthorityKey_data = new int[] { 2, 5, 29, 35 };
        SubjectKey_data = new int[] { 2, 5, 29, 14 };
        KeyUsage_data = new int[] { 2, 5, 29, 15 };
        PrivateKeyUsage_data = new int[] { 2, 5, 29, 16 };
        CertificatePolicies_data = new int[] { 2, 5, 29, 32 };
        PolicyMappings_data = new int[] { 2, 5, 29, 33 };
        SubjectAlternativeName_data = new int[] { 2, 5, 29, 17 };
        IssuerAlternativeName_data = new int[] { 2, 5, 29, 18 };
        SubjectDirectoryAttributes_data = new int[] { 2, 5, 29, 9 };
        BasicConstraints_data = new int[] { 2, 5, 29, 19 };
        NameConstraints_data = new int[] { 2, 5, 29, 30 };
        PolicyConstraints_data = new int[] { 2, 5, 29, 36 };
        CRLDistributionPoints_data = new int[] { 2, 5, 29, 31 };
        CRLNumber_data = new int[] { 2, 5, 29, 20 };
        IssuingDistributionPoint_data = new int[] { 2, 5, 29, 28 };
        DeltaCRLIndicator_data = new int[] { 2, 5, 29, 27 };
        ReasonCode_data = new int[] { 2, 5, 29, 21 };
        HoldInstructionCode_data = new int[] { 2, 5, 29, 23 };
        InvalidityDate_data = new int[] { 2, 5, 29, 24 };
        ExtendedKeyUsage_data = new int[] { 2, 5, 29, 37 };
        InhibitAnyPolicy_data = new int[] { 2, 5, 29, 54 };
        CertificateIssuer_data = new int[] { 2, 5, 29, 29 };
        AuthInfoAccess_data = new int[] { 1, 3, 6, 1, 5, 5, 7, 1, 1 };
        SubjectInfoAccess_data = new int[] { 1, 3, 6, 1, 5, 5, 7, 1, 11 };
        FreshestCRL_data = new int[] { 2, 5, 29, 46 };
        OCSPNoCheck_data = new int[] { 1, 3, 6, 1, 5, 5, 7, 48, 1, 5 };
        OCSPNonce_data = new int[] { 1, 3, 6, 1, 5, 5, 7, 48, 1, 2 };
        AuthorityKey_Id = ObjectIdentifier.newInternal(PKIXExtensions.AuthorityKey_data);
        SubjectKey_Id = ObjectIdentifier.newInternal(PKIXExtensions.SubjectKey_data);
        KeyUsage_Id = ObjectIdentifier.newInternal(PKIXExtensions.KeyUsage_data);
        PrivateKeyUsage_Id = ObjectIdentifier.newInternal(PKIXExtensions.PrivateKeyUsage_data);
        CertificatePolicies_Id = ObjectIdentifier.newInternal(PKIXExtensions.CertificatePolicies_data);
        PolicyMappings_Id = ObjectIdentifier.newInternal(PKIXExtensions.PolicyMappings_data);
        SubjectAlternativeName_Id = ObjectIdentifier.newInternal(PKIXExtensions.SubjectAlternativeName_data);
        IssuerAlternativeName_Id = ObjectIdentifier.newInternal(PKIXExtensions.IssuerAlternativeName_data);
        ExtendedKeyUsage_Id = ObjectIdentifier.newInternal(PKIXExtensions.ExtendedKeyUsage_data);
        InhibitAnyPolicy_Id = ObjectIdentifier.newInternal(PKIXExtensions.InhibitAnyPolicy_data);
        SubjectDirectoryAttributes_Id = ObjectIdentifier.newInternal(PKIXExtensions.SubjectDirectoryAttributes_data);
        BasicConstraints_Id = ObjectIdentifier.newInternal(PKIXExtensions.BasicConstraints_data);
        ReasonCode_Id = ObjectIdentifier.newInternal(PKIXExtensions.ReasonCode_data);
        HoldInstructionCode_Id = ObjectIdentifier.newInternal(PKIXExtensions.HoldInstructionCode_data);
        InvalidityDate_Id = ObjectIdentifier.newInternal(PKIXExtensions.InvalidityDate_data);
        NameConstraints_Id = ObjectIdentifier.newInternal(PKIXExtensions.NameConstraints_data);
        PolicyConstraints_Id = ObjectIdentifier.newInternal(PKIXExtensions.PolicyConstraints_data);
        CRLDistributionPoints_Id = ObjectIdentifier.newInternal(PKIXExtensions.CRLDistributionPoints_data);
        CRLNumber_Id = ObjectIdentifier.newInternal(PKIXExtensions.CRLNumber_data);
        IssuingDistributionPoint_Id = ObjectIdentifier.newInternal(PKIXExtensions.IssuingDistributionPoint_data);
        DeltaCRLIndicator_Id = ObjectIdentifier.newInternal(PKIXExtensions.DeltaCRLIndicator_data);
        CertificateIssuer_Id = ObjectIdentifier.newInternal(PKIXExtensions.CertificateIssuer_data);
        AuthInfoAccess_Id = ObjectIdentifier.newInternal(PKIXExtensions.AuthInfoAccess_data);
        SubjectInfoAccess_Id = ObjectIdentifier.newInternal(PKIXExtensions.SubjectInfoAccess_data);
        FreshestCRL_Id = ObjectIdentifier.newInternal(PKIXExtensions.FreshestCRL_data);
        OCSPNoCheck_Id = ObjectIdentifier.newInternal(PKIXExtensions.OCSPNoCheck_data);
        OCSPNonce_Id = ObjectIdentifier.newInternal(PKIXExtensions.OCSPNonce_data);
    }
}
